Loading...
Searching...
No Matches
caf::skip_t Class Reference

Default handler function that leaves messages in the mailbox. More...

`#include <skip.hpp>`

## Public Types

using | fun

## Public Member Functions

constexpr skip_t | operator() () const
| operator fun () const

## Detailed Description

Default handler function that leaves messages in the mailbox.

Can also be used inside custom message handlers to signalize skipping to the runtime.

## Member Typedef Documentation

## fun

using caf::skip_t::fun

Initial value:
std::function<result<message> (scheduled_actor* self,
message_view&)>
caf::message_view
Represents an object pointing to a type_erased_tuple that is convertible to a message.
Definition message_view.hpp:27
caf::scheduled_actor
A cooperatively scheduled, event-based actor implementation.
Definition scheduled_actor.hpp:111

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/skip.hpp